# WOK
TKWOK
WOKBuilder

# WOKBuilder_EXELinker Class Reference

provides tool to build an executable file

`#include <WOKBuilder_EXELinker.hxx>`

Inheritance diagram for WOKBuilder_EXELinker:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_EXELinker (const Handle(TCollection_HAsciiString)&aName, const WOKUtils_Param &aParams)
| create a class instance
Standard_EXPORT Handle_TCollection_HAsciiString | EvalHeader ()
| evaluats tool command line
Standard_EXPORT Handle_TCollection_HAsciiString | EvalCFExt ()
| evaluates extension for name of the command file
Standard_EXPORT Handle_TCollection_HAsciiString | EvalFooter ()
| evaluates additional information for the tool
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_EXELinker::WOKBuilder_EXELinker | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const WOKUtils_Param & | aParams
| ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_EXELinker::EvalCFExt | ( |  | ) | `[virtual]`

| Implements WOKBuilder_WNTCollector.

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_EXELinker::EvalFooter | ( |  | ) | `[virtual]`

| Implements WOKBuilder_WNTCollector.

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_EXELinker::EvalHeader | ( |  | ) | `[virtual]`

| Implements WOKBuilder_WNTCollector.

Standard_EXPORT const WOKBuilder_EXELinker::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_WNTLinker.

The documentation for this class was generated from the following file:

- WOKBuilder_EXELinker.hxx